/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "pokerrender.h"

void pokerRenderInit(pokerrender_t *render) {
  skywallInit(&render->skywall);
}

void pokerRenderRender(
  pokerrender_t *render, engine_t *engine, pokergameassets_t *assets
) {
  // Render the wall
  shaderUseTexture(&assets->shader, &assets->roomTexture);
  shaderUsePosition(&assets->shader, 0, 0, 0, 0,engine->time.current/3,0);
  primitiveDraw(&render->skywall, 0, -1);
}

void pokerRenderDispose(pokerrender_t *render) {
  primitiveDispose(&render->skywall);
}